tigase.jaxmpp.android.xml

## Class ParcelableElement

- java.lang.Object
- - tigase.jaxmpp.core.client.xml.DefaultElement
  - - tigase.jaxmpp.android.xml.ParcelableElement

- All Implemented Interfaces:
    Element

      public class ParcelableElement
      extends DefaultElement

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static <any>` | `CREATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParcelableElement(String name)`
    `ParcelableElement(String name, String value, String xmlns)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `describeContents()`
    `static ParcelableElement` | `fromElement(Element element)`
    `void` | `writeToParcel(Parcel dest, int flags)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xml.DefaultElement

      `addChild, equals, findChild, getAsString, getAttribute, getAttributes, getChildAfter, getChildren, getChildren, getChildrenNS, getChildrenNS, getFirstChild, getFirstChild, getName, getNextSibling, getParent, getValue, getXMLNS, hashCode, removeAttribute, removeChild, setAttribute, setAttributes, setParent, setValue, setXMLNS`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CREATOR

          public static final <any> CREATOR

  - ### Constructor Detail

    - #### ParcelableElement

          public ParcelableElement(String name)

    - #### ParcelableElement

          public ParcelableElement(String name,
                                   String value,
                                   String xmlns)

  - ### Method Detail

    - #### fromElement

          public static final ParcelableElement fromElement(Element element)
                                                     throws XMLException

      Throws:
        `XMLException`

    - #### describeContents

          public int describeContents()

    - #### writeToParcel

          public void writeToParcel(Parcel dest,
                                    int flags)

Copyright © 2006–2017 Tigase. All rights reserved.